Debian Bug report logs - #439487
muine: FTBFS: error: redefinition of typedef 'GSequence'

version graph

Package: muine; Maintainer for muine is Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sat, 25 Aug 2007 08:42:56 UTC

Severity: serious

Found in version muine/0.8.7-1.1

Fixed in version 0.8.7-1.2

Done: Luk Claes <luk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#439487; Package muine. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Dave Beckett <dajobe@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: muine: FTBFS: error: redefinition of typedef 'GSequence'
Date: Sat, 25 Aug 2007 09:58:14 +0200
Package: muine
version: 0.8.7-1.1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20070823 qa-ftbfs
Justification: FTBFS on i386

Hi,

During a rebuild of all packages in sid, your package failed to build on i386.

Relevant part:
 cc -DHAVE_CONFIG_H -I. -I. -I.. -I.. -DG_LOG_DOMAIN=\"libmuine\" -DGNOMELOCALEDIR=\"/usr/share/locale\" -DORBIT2=1 -pthread -I/usr/include/gconf/2 -I/usr/include/orbit-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gstreamer-0.10 -I/usr/include/libxml2 -Wall -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wno-sign-compare -Werror -DG_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGDK_PIXBUF_DISABLE_DEPRECATED -DGNOME_DISABLE_DEPRECATED -g -Wall -O2 -c gsequence.c  -fPIC -DPIC -o .libs/gsequence.o
In file included from gsequence.c:22:
gsequence.h:25: error: redefinition of typedef 'GSequence'
/usr/include/glib-2.0/glib/gsequence.h:26: error: previous declaration of 'GSequence' was here
gsequence.h:51: error: conflicting types for 'g_sequence_remove_range'
/usr/include/glib-2.0/glib/gsequence.h:84: error: previous declaration of 'g_sequence_remove_range' was here
gsequence.h:86: error: conflicting types for 'g_sequence_search'
/usr/include/glib-2.0/glib/gsequence.h:91: error: previous declaration of 'g_sequence_search' was here
gsequence.c:298: error: conflicting types for 'g_sequence_remove_range'
/usr/include/glib-2.0/glib/gsequence.h:84: error: previous declaration of 'g_sequence_remove_range' was here
gsequence.c:442: error: conflicting types for 'g_sequence_search'
/usr/include/glib-2.0/glib/gsequence.h:91: error: previous declaration of 'g_sequence_search' was here
make[4]: *** [gsequence.lo] Error 1
make[4]: Leaving directory `/build/user/muine-0.8.7/libmuine'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/build/user/muine-0.8.7/libmuine'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/build/user/muine-0.8.7'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/build/user/muine-0.8.7'
make: *** [debian/stamp-makefile-build] Error 2

The full build log is available from
http://people.debian.org/~lucas/logs/2007/08/23

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid i386
environment.  Internet was not accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |



Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#439487; Package muine. Full text and rfc822 format available.

Acknowledgement sent to Wouter Bolsterlee <uws@xs4all.nl>:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. Full text and rfc822 format available.

Message #10 received at 439487@bugs.debian.org (full text, mbox):

From: Wouter Bolsterlee <uws@xs4all.nl>
To: 439487@bugs.debian.org
Subject: Glib update
Date: Tue, 16 Oct 2007 01:42:07 +0200
[Message part 1 (text/plain, inline)]
The error is caused by GSequence being merged into glib. This issue has been
resolved in upstream SVN already.

  mvrgr, Wouter

-- 
:wq                                                       mail uws@xs4all.nl
                                                      web http://uwstopia.nl

from the time we intercepted :: feels more like suicide           -- placebo
[signature.asc (application/pgp-signature, inline)]

Reply sent to Luk Claes <luk@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 439487-done@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 432098-done@bugs.debian.org, 439487-done@bugs.debian.org
Subject: Fixed in the recent upload of muine 0.8.7-1.2
Date: Sun, 13 Jan 2008 07:38:42 +0100
Version: 0.8.7-1.2

muine (0.8.7-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control:
    - Build-depend on libndesk-dbus1.0-cil, libndesk-dbus-glib1.0-cil
    - Dropped libdbus-1-cil from build-depends

 -- Luk Claes <luk@debian.org>  Sun, 13 Jan 2008 05:17:32 +0000

Cheers

Luk




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 23 Mar 2008 07:34:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 09:07:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.